org.jbpm.executor.impl.wih

## Class AsyncWorkItemHandlerCmdCallback

- java.lang.Object
- - org.jbpm.executor.impl.wih.AsyncWorkItemHandlerCmdCallback

- All Implemented Interfaces:
    org.kie.api.executor.CommandCallback

      public class AsyncWorkItemHandlerCmdCallback
      extends Object
      implements org.kie.api.executor.CommandCallback

  Dedicated callback for `AsyncWorkItemHandler` that is responsible for:
  - completing work item in case of successful execution
  - attempting to handle exception (by utilizing ExceptionScope mechanism) in case of unsuccessful execution

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncWorkItemHandlerCmdCallback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.kie.api.runtime.process.NodeInstance` | `getNodeInstance(org.kie.api.runtime.process.WorkItem workItem, Collection<org.kie.api.runtime.process.NodeInstance> nodeInstances)`
    `protected org.kie.api.runtime.process.NodeInstance` | `getNodeInstance(org.kie.api.runtime.process.WorkItem workItem, WorkflowProcessInstance processInstance)`
    `protected org.kie.api.runtime.manager.RuntimeManager` | `getRuntimeManager(org.kie.api.executor.CommandContext ctx)`
    `void` | `onCommandDone(org.kie.api.executor.CommandContext ctx, org.kie.api.executor.ExecutionResults results)`
    `void` | `onCommandError(org.kie.api.executor.CommandContext ctx, Throwable exception)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncWorkItemHandlerCmdCallback

          public AsyncWorkItemHandlerCmdCallback()

  - ### Method Detail

    - #### onCommandDone

          public void onCommandDone(org.kie.api.executor.CommandContext ctx,
                                    org.kie.api.executor.ExecutionResults results)

      Specified by:
        `onCommandDone` in interface `org.kie.api.executor.CommandCallback`

    - #### onCommandError

          public void onCommandError(org.kie.api.executor.CommandContext ctx,
                                     Throwable exception)

      Specified by:
        `onCommandError` in interface `org.kie.api.executor.CommandCallback`

    - #### getRuntimeManager

          protected org.kie.api.runtime.manager.RuntimeManager getRuntimeManager(org.kie.api.executor.CommandContext ctx)

    - #### getNodeInstance

          protected org.kie.api.runtime.process.NodeInstance getNodeInstance(org.kie.api.runtime.process.WorkItem workItem,
                                                                             WorkflowProcessInstance processInstance)

    - #### getNodeInstance

          protected org.kie.api.runtime.process.NodeInstance getNodeInstance(org.kie.api.runtime.process.WorkItem workItem,
                                                                             Collection<org.kie.api.runtime.process.NodeInstance> nodeInstances)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.